%define anolis_release 1


Name:           nload
Version:        0.7.4
Release:        %{anolis_release}%{?dist}
Summary:        A tool can monitor network traffic and bandwidth usage in real time
License:        GPLv2+
URL:            http://www.roland-riegel.de/nload/
Source:         https://github.com/rolandriegel/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
BuildRequires:  gcc

%description
nload is a console application which monitors network traffic and bandwidth
usage in real time. It visualizes the in and outgoing traffic using two graphs
and provides additional info like total amount of transfered data and min/max
network usage.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch


%description    doc
This package contains documentation for developer documentation for %{name}.

%prep
%setup -q

%build
autoreconf -i
# --enable-debug do not strip debugging symbols, required for debug-info package
%configure --enable-debug
%make_build

%install
%make_install DESTDIR="%{buildroot}" INSTALL="install -p"

%generate_compatibility_deps


%files
%license COPYING
%dir %{abidir}
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{abidir}/nload-option.list

%files doc
%doc AUTHORS ChangeLog NEWS README


%changelog
* Wed Apr 5 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 0.7.4-1
- Init package
